summaryrefslogtreecommitdiffstats
path: root/make
diff options
context:
space:
mode:
authorsg215889 <[email protected]>2009-07-28 18:57:52 -0700
committersg215889 <[email protected]>2009-07-28 18:57:52 -0700
commitbcb660e003c9db68c88f4d85d2193261cf74483b (patch)
tree54a3f3d3cd98776bd09ae8ba4dd8a1dbc92781ba /make
parentabea54842158e588112f6e35d1ba3c5f069dfc29 (diff)
Add test scripts J2SE and CVM
Diffstat (limited to 'make')
-rw-r--r--make/runtest-cvm.sh19
-rw-r--r--make/runtest.sh16
2 files changed, 35 insertions, 0 deletions
diff --git a/make/runtest-cvm.sh b/make/runtest-cvm.sh
new file mode 100644
index 0000000..268cf6e
--- /dev/null
+++ b/make/runtest-cvm.sh
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+CVM=$1
+shift
+
+builddir=$1
+shift
+
+if [ ! -x "$CVM" -o -z "$builddir" ] ; then
+ echo Usage $0 CVM-Binary build-dir
+ exit 1
+fi
+
+echo com.sun.gluegen.test.TestPointerBufferEndian
+$CVM -Dsun.boot.library.path=$builddir/obj -Xbootclasspath/a:$builddir/classes-cdc com.sun.gluegen.test.TestPointerBufferEndian
+echo
+echo com.sun.gluegen.test.TestStructAccessorEndian
+$CVM -Dsun.boot.library.path=$builddir/obj -Xbootclasspath/a:$builddir/classes-cdc com.sun.gluegen.test.TestStructAccessorEndian
+echo
diff --git a/make/runtest.sh b/make/runtest.sh
new file mode 100644
index 0000000..8001c82
--- /dev/null
+++ b/make/runtest.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+builddir=$1
+shift
+
+if [ -z "$builddir" ] ; then
+ echo Usage $0 build-dir
+ exit 1
+fi
+
+echo com.sun.gluegen.test.TestPointerBufferEndian
+java -Djava.library.path=$builddir/obj -classpath $builddir/classes com.sun.gluegen.test.TestPointerBufferEndian
+echo
+echo com.sun.gluegen.test.TestStructAccessorEndian
+java -Djava.library.path=$builddir/obj -classpath $builddir/classes com.sun.gluegen.test.TestStructAccessorEndian
+echo